=== debian/changelog ===
openmodelica (7504-1) unstable; urgency=low

  * Automatic subversion build
 -- OpenModelica Build System <build@openmodelica.org>  Mon, 20 Dec 2010 07:30:16 +0100
