=== debian/control ===
Source: openmodelica
Section: math
Priority: optional
Maintainer: OpenModelica Build System <build@openmodelica.org>
Build-Depends: debhelper (>= 7.0.0),
 libsqlite3-dev,
 libssl-dev (>= 0.9.8g),
 libreadline5-dev (>= 5.2),
 libqt4-dev,
 liblpsolve55-dev (>= 5.5.0.10),
 rml-mmc,
 openjdk-6-jdk | sun-java6-jdk,
 libomniorb4-dev,
 omniidl4,
 flex,
 bison
Standards-Version: 3.8.4

Package: openmodelica
Section: math
Architecture: any
Depends: omc,
 omlibrary-msl31,
 omshell,
 omshell-terminal,
 omnotebook,
 drmodelica,
 drcontrol,
 omedit,
 ${misc:Depends}
Description: A complete Modelica environment
 The goal of the project is to create a complete Modelica modeling, compilation
 and simulation environment based on free software distributed in binary and
 source code form.
 .
 This package is a Debian metapackage. After installation this package can be
 removed. This metapackage pulls in the following OpenModelica packages:
 .
 1. Package omc the OpenModelica Compiler/Interpreter (omc)
 2. Package omshell the OpenModelica Shell (OMShell)
 3. Package omshell-terminal the OpenModelica Shell-terminal (OMShell-terminal)
 4. Package omlibrary-msl31 the Modelica Standard Library version 3.1
 5. Package omnotebook the OpenModelica Notebook, with DrModelica and DrControl
 6. Package omedit, a Modelica connection editor for OpenModelica

Package: omc
Section: math
Architecture: any
Depends: sun-java6-jre | openjdk-6-jre,
 build-essential,
 libqt4-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: The OpenModelica Compiler
 This is the core of the OpenModelica project. It can be used stand-alone as
 a compiler. It is recommended to use it together with an OpenModelica client,
 such as OMShell (textual interface), OMNotebook (for teaching purposes),
 SimForge (graphical modeling) or OMEdit (graphical modeling).

Package: omedit
Section: math
Architecture: any
Depends: omc,
 omlibrary-msl31,
 ${shlibs:Depends},
 ${misc:Depends}
Description: A Modelica connection editor for OpenModelica
 OMEdit is still in active development. Please try it out and give feedback.

Package: omnotebook
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: drmodelica,
 drcontrol
Description: A Mathematica-style Notebook for OpenModelica

Package: drmodelica
Section: math
Architecture: any
Depends: omnotebook,
 ${shlibs:Depends},
 ${misc:Depends}
Description: An OMNotebook course in the Modelica language
 The course is based on Peter Fritzson's book
 “Principles of Object-Oriented Modeling and Simulation with Modelica 2.1”.

Package: drcontrol
Section: math
Architecture: any
Depends: omnotebook,
 ${shlibs:Depends},
 ${misc:Depends}
Description: An OMNotebook course in basic control theory

Package: omshell-terminal
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: A text-based interface to OpenModelica (based on readline)

Package: omshell
Section: math
Architecture: any
Depends: omc,
 ${shlibs:Depends},
 ${misc:Depends}
Description: A text-based interface to OpenModelica (based on Qt)

Package: omlibrary-all
Section: math
Architecture: any
Depends: omlibrary-msl16,
 omlibrary-msl221,
 omlibrary-msl31,
 omlibrary-msl32,
 omlibrary-biochem,
 omlibrary-additions,
 omlibrary-simplefluid,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (All)
 * Modelica Standard Library versions 1.6, 2.2, 3.1, 3.2
 * ModelicaAdditions
 * BioChem
 * SimpleFluid

Package: omlibrary-msl16
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 1.6)
 Modelica Standard Library version 1.6

Package: omlibrary-msl221
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 2.2.1)
 Modelica Standard Library version 2.2.1

Package: omlibrary-msl31
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 3.1)
 Modelica Standard Library version 3.1

Package: omlibrary-msl32
Section: math
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (MSL 3.2)
 Modelica Standard Library version 3.2

Package: omlibrary-biochem
Section: math
Architecture: any
Depends: omlibrary-msl221,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (BioChem)
 BioChem library for MSL 2.2.1

Package: omlibrary-additions
Section: math
Architecture: any
Depends: omlibrary-msl16,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (ModelicaAdditions)
 Modelica Additions to MSL 1.6 (most functionality exists elsewhere in MSL 3.1)

Package: omlibrary-simplefluid
Section: math
Architecture: any
Depends: omlibrary-msl221,
 ${shlibs:Depends},
 ${misc:Depends}
Description: OpenModelica Library Collection (SimpleFluid)
 SimpleFluid library for MSL 2.2.1
